;-------------------------------------------------------------------------------
index_music_adr		equ 0
index_music_real_adr	equ index_music_adr	+2
index_init_music	equ index_music_real_adr+2
index_first_theme	equ index_init_music	+2
index_last_theme	equ index_first_theme	+1
index_play_music	equ index_last_theme	+1
index_music_end		equ index_play_music	+2
index_stop_music	equ index_music_end	+2
index_game_name		equ index_stop_music	+2
index_music_date_rip	equ index_game_name	+2
index_Megachur		equ index_music_date_rip+2
index_EOF_LENGTH	equ index_Megachur	+8
;-------------------------------------------------------------------------------

screen_first_address	equ &c000
screen_second_address	equ &8000
screen_third_address	equ &0000
screen_crtc_address	equ &3000
screen_crtc_2nd_address	equ &2000
screen_crtc_3rd_address	equ &0000
screen_width		equ 96
; ---------------------------
file_temp_memory_adr_save		equ &0400
move_function_memory_adr		equ &0000-16-4  ; length+call adr in stack
minimum_preserve_memory_length		equ &40
bank_6					equ &c6
music_load				equ &8000
DIRECTORY_LAST_SECTOR_USER_DEFINE	equ &c5		; standard AMSDOS value
FORCE_CURRENTMUSIC_DURATION		equ &03		; three minutes
;-------------------------------------------------------------------------------
screen_address
	dw 0		; screen_first_address
current_menu_item
	dw 0		; musics_list_on_current_disk
current_menu_item_number
	db 0
current_music_name
	dw 0
current_file_load
	dw 0
current_music_enable_play
	defb 0
current_music_max_theme equ $ +1
current_music_first_theme
	defw 0
current_music_theme
	db 0
current_music_end
	db 0
;-------------------------------------------------------------------------------
text_intro
	db 31,screen_width-21/2,0
	db "- Megachur presents -"
	db 31,screen_width-48/2,1
	db "- Amstrad CPC Musics Ultimate Compilation v1.7 -"
	db 31,0,3,0

text_music_timer_count_first
	db 31,screen_width-8-12,2,"Play Time : 00:00:00",0
text_spectrum_analyzer
	db 31,screen_width-21/2,15,"- Spectrum Analyzer -",10,10,10,10,13
	db "`----O1----'`----O2----'`----O3----'`----O4----'`----O5----'`----O6----'`----O7----'`----O8----'",0
text_psg_values
	db 31,screen_width-68/2,17,"PSG Registers (0,2,4,6,7,8,9,a) : ",0

music_insert_disk_text
	db 31,0,4,"Please, insert disk"
music_selected_disk_text
	db " in Drive "
music_insert_disk_drive_text
	db "A Head "
music_insert_disk_drive_head_text
	db "0...",13,0
loading_text
	db 31,0,3,"Loading File : ",0
loading_directory_text
	db 31,0,3,"Loading Directory",0

	IF USE_COMPACTER

decrunching_text
	db "Decrunching File...",0

	ENDIF

text_music_author
	db "Author : ",0
text_music_real_adr
	db " - ADDR : ",0
text_init_music
	db " - INIT : ",0
text_play_music
	db " - PLAY : ",0
text_stop_music
	db " - STOP : ",0
text_music_end
	db " - MEND : ",0
text_music_length
	db " - LENGTH : ",0
text_music_rip
	db "Ripped by "
text_Megachur
	db "Megachur",0
text_not_musicfile
	db 31,0,3,"Not a music file...",0
text_music_date_rip
	db " The ",0
text_music_repeat
	db 31,screen_width-1,0,"R",0
text_music_repeat_clear
	db 31,screen_width-1,0," ",0
text_music_force_end
	db 31,screen_width-3,0,"F",0
text_music_force_end_clear
	db 31,screen_width-3,0," ",0
text_playing_theme
	db "Playing Theme : ",0
text_music_timer_count
	db 31,screen_width-8,2,0
text_locate_psg_values
	db 31,screen_width-68/2+34,17,0
text_cr
	db 10,13,0
text_unknown_author
	db "Unknown Author",0
text_no_comments
	db "No comments",0
;-------------------------------------------------------------------------------
draw_spectrum_analyzer_first_address	equ screen_width*18+screen_first_address+&3800
draw_spectrum_analyzer_second_address	equ screen_width*18+screen_second_address+&3800
draw_spectrum_analyzer_third_address	equ screen_width*18+screen_third_address+&3800
MAX_FREQUENCY				equ &0777
;-------------------------------------------------------------------------------
frequence_table_analyzer_value
;-------------------------------------------------------------------------------
	db 00	; HFreq_1d
	db 01	; HFreq_1c
	db 02	; HFreq_1a	; 1b
	db 02	; HFreq_1a
	db 03	; HFreq_19
	db 04	; HFreq_17	; 18
	db 04	; HFreq_17
	db 05	; HFreq_16
	db 06	; HFreq_15
	db 07	; HFreq_13	; 14
	db 07	; HFreq_13
	db 08	; HFreq_12
	db 09	; HFreq_11
	db 10	; HFreq_10
	db 11	; HFreq_0f
;-------------------------------------------------------------------------------
draw_spectrum_analyzer_first_address_table
;-------------------------------------------------------------------------------
	dw	12*00+draw_spectrum_analyzer_first_address
	dw	12*01+draw_spectrum_analyzer_first_address
	dw	12*02+draw_spectrum_analyzer_first_address
	dw	12*03+draw_spectrum_analyzer_first_address
	dw	12*04+draw_spectrum_analyzer_first_address
	dw	12*05+draw_spectrum_analyzer_first_address
	dw	12*06+draw_spectrum_analyzer_first_address
	dw	12*07+draw_spectrum_analyzer_first_address
;-------------------------------------------------------------------------------
draw_spectrum_analyzer_second_address_table
;-------------------------------------------------------------------------------
	dw	12*00+draw_spectrum_analyzer_second_address
	dw	12*01+draw_spectrum_analyzer_second_address
	dw	12*02+draw_spectrum_analyzer_second_address
	dw	12*03+draw_spectrum_analyzer_second_address
	dw	12*04+draw_spectrum_analyzer_second_address
	dw	12*05+draw_spectrum_analyzer_second_address
	dw	12*06+draw_spectrum_analyzer_second_address
	dw	12*07+draw_spectrum_analyzer_second_address
;-------------------------------------------------------------------------------
draw_spectrum_analyzer_third_address_table
;-------------------------------------------------------------------------------
	dw	12*00+draw_spectrum_analyzer_third_address
	dw	12*01+draw_spectrum_analyzer_third_address
	dw	12*02+draw_spectrum_analyzer_third_address
	dw	12*03+draw_spectrum_analyzer_third_address
	dw	12*04+draw_spectrum_analyzer_third_address
	dw	12*05+draw_spectrum_analyzer_third_address
	dw	12*06+draw_spectrum_analyzer_third_address
	dw	12*07+draw_spectrum_analyzer_third_address
;-------------------------------------------------------------------------------
musics_list_length		equ 16*4*11	; 16 entry &C1 -> &c4
musics_list_on_current_disk
	defs musics_list_length,0
musics_list_on_current_disk_end equ $-11
